Subject: [rohc] I-Ds on Early Compression for ROHC-TCP

From: [email-masked]
Date: Mon, 28 Oct 2002 15:17:46 -0600

Hi,

I have submitted two I-Ds for the TCP/IP header compression work (draft-ietf-rohc-tcp-02.txt).  First I-D, draft-saifullah-rohc-tcp-early-compression-00.txt, contains Early Compression Enabler proposal for ROHC-TCP. The enabler provides compression even for the IR packets and can also be used to enable context replication. Second I-D, draft-saifullah-rohc-tcp-early-comp-in-gprs-00.txt, is an informative I-D and contains an example to show the use of Early Compression Enabler proposed in the first I-D. The abstracts are mentioned below:

Abstract of draft-saifullah-rohc-tcp-early-compression-00.txt :
This document specifies Early Compression Enabler for ROHC-TCP to increase compression gain. The enabler provides a generic platform to implement an early compression mechanism. An early compression mechanism is an out-of-band mechanism that populates the ROHC-TCP decompression context with some of the header fields before the ROHC- TCP initialization step. ROHC-TCP does not need to carry those fields, thus early compression provides compression from the very first TCP packet and increases the compression gain. It is especially useful for short-lived TCP connections. The document describes the working of Early Compression Enabler as part of ROHC-TCP. It also specifies protocol changes for the ROHC-TCP protocol. It does not specify any particular early compression mechanism.

Abstract of draft-saifullah-rohc-tcp-early-comp-in-gprs-00.txt: 
This information document gives an example of early compression mechanism from the GPRS networks. It shows a utilization of the early compression enabler enhancements proposed for ROHC-TCP. It does not show an exhaustive use of all the options of the enabler, but rather shows a use of the basic enabler function.

Before they are announced by the I-D Editor, please find them at:
http://people.nokia.net/vijayd/draft-saifullah-rohc-tcp-early-compression-001.txt

http://people.nokia.net/vijayd/draft-saifullah-rohc-tcp-early-comp-in-GPRS-001.txt

Your comments will be appreciated.

Thanks,
Yousuf
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc